NGK SPARK PLUGS (ASIA) CO.,LTD. - Parent project #962

[PJ210036] Laser marking system
11 Apr 2025 14:21 - Karnthida Wannasiwaporn

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour
Description

History

#1 - 11 Apr 2025 14:21 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 05 Nov 2025 15:02 - Siriwilai Chaiwattanaphon
- Status changed from New to Closed

- Start date deleted (11 Apr 2025)
